package com.engine.salary.mapper.push;

import com.engine.salary.entity.push.dto.PushRecordDetailDTO;
import com.engine.salary.entity.push.po.PushRecordDetailPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface PushRecordDetailMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<PushRecordDetailPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<PushRecordDetailPO> listSome(PushRecordDetailPO pushRecordDetail);

    List<PushRecordDetailDTO> listDTO(PushRecordDetailDTO dto);


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	PushRecordDetailPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param pushRecordDetail 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(PushRecordDetailPO pushRecordDetail);

	/**
     * 修改，修改所有字段
     *
     * @param pushRecordDetail 修改的记录
     * @return 返回影响行数
     */
	int update(PushRecordDetailPO pushRecordDetail);
	
	/**
     * 修改，忽略null字段
     *
     * @param pushRecordDetail 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(PushRecordDetailPO pushRecordDetail);
	
	/**
     * 删除记录
     *
     * @param pushRecordDetail 待删除的记录
     * @return 返回影响行数
     */
	int delete(PushRecordDetailPO pushRecordDetail);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

    void deleteByRecordId(Long acctRecordId);
}